Package fr.gouv.vitam.collect.internal.core.common

# Enum Class CollectType

java.lang.Object
java.lang.Enum<CollectType>
fr.gouv.vitam.collect.internal.core.common.CollectType

All Implemented Interfaces:
  `Serializable`, `Comparable<CollectType>`, `Constable`

public enum CollectType extends Enum<CollectType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACK_ERROR`
  `ACK_OK`
  `CLOSE`
  `OPEN`
  `SENT`
  `WAITING_ACK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CollectType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CollectType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OPEN

    public static final CollectType OPEN

  - ### CLOSE

    public static final CollectType CLOSE

  - ### SENT

    public static final CollectType SENT

  - ### WAITING_ACK

    public static final CollectType WAITING_ACK

  - ### ACK_OK

    public static final CollectType ACK_OK

  - ### ACK_ERROR

    public static final CollectType ACK_ERROR

- ## Method Details

  - ### values

    public static CollectType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CollectType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null